#
# spec file for package pciutils-ids
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pciutils-ids
Version:        20171206
Release:        lp150.1.3
Summary:        PCI utilities's pci.ids database
License:        GPL-2.0+
Group:          Hardware/Other
Url:            http://pci-ids.ucw.cz
Source:         %{name}-%{version}.tar.xz
Source4:        merge-pciids.pl
BuildRequires:  perl-macros
Requires(post): %{_bindir}/perl
Requires(post): coreutils
BuildArch:      noarch
%{perl_requires}

%description
The database of PCI IDs for pciutils.

merge-pciids: This program merges several pci.ids files.

%prep
%setup -q

%build

%install
install -D -p -m 0644 pci.ids \
  %{buildroot}%{_datadir}/pci.ids.d/pci.ids.dist
install -d -m755 %{buildroot}%{_bindir}
install -p -m755 %{SOURCE4} %{buildroot}%{_bindir}/merge-pciids
install -m644 /dev/null %{buildroot}%{_datadir}/pci.ids

%files
%dir %{_datadir}/pci.ids.d
%{_datadir}/pci.ids.d/pci.ids.dist
%{_bindir}/merge-pciids
%ghost %{_datadir}/pci.ids

%post
if [ -x %{_bindir}/merge-pciids -a -x %{_bindir}/perl ]; then
  %{_bindir}/merge-pciids
else
  # This should only happen in autobuild
  echo "WARNING: merge-pciids or perl not found"
  cp -p %{_datadir}/pci.ids.d/pci.ids.dist %{_datadir}/pci.ids
fi

%changelog
* Wed Dec  6 2017 mpluskal@suse.com
- Update to 20171206
* Thu Nov  9 2017 jzelazkova@suse.com
- Update to 20171021
* Thu Oct 19 2017 mpluskal@suse.com
- Update to 20171018
* Thu Sep 21 2017 jengelh@inai.de
- Rectify package summary.
* Thu Sep 21 2017 mpluskal@suse.com
- Update to 20170917
* Mon Jul 10 2017 mpluskal@suse.com
- Update to 20170710
* Thu Jun  8 2017 mpluskal@suse.com
- Update to 20170525
* Sat Apr  8 2017 mpluskal@suse.com
- Update to 20170403
* Sat Feb 25 2017 mpluskal@suse.com
- Update to 20170215
* Fri Jan 27 2017 mpluskal@suse.com
- Update to 20170127
* Fri Jan  6 2017 mpluskal@suse.com
- Update to 20170101
* Wed Dec 28 2016 mpluskal@suse.com
- Update to 20161225
* Sat Dec  3 2016 tchvatal@suse.com
- Version update to 20161121
* Thu Nov  3 2016 mpluskal@suse.com
- Update to 20161029
* Sun Sep 18 2016 mpluskal@suse.com
- Update to 20160918
* Sun Aug  7 2016 mpluskal@suse.com
- Update to 20160731
* Fri Jul  1 2016 mpluskal@suse.com
- Update to 20160701
* Fri Jun 10 2016 mpluskal@suse.com
- Update to 20160607
* Thu May 12 2016 mpluskal@suse.com
- Update to 20160511
* Wed Apr 27 2016 mpluskal@suse.com
- Update to version 20160428
- Add _service and use it to fetch sources from github
* Wed Apr  6 2016 tchvatal@suse.com
- Version update to 2016.04.04 bsc#958712
- Update to new official homepage
* Thu Mar 24 2016 mpluskal@suse.com
- Update to 2016.02.27
* Sat Oct 10 2015 tiwai@suse.de
- update pci.ids to version 2015.10.07 for missing Intel devices
  (bsc#944104)
* Mon Sep 21 2015 jdelvare@suse.de
- merge-pciids.pl: Incorporate everything the merge-pciids wrapper
  was doing.
- merge-pciids: Obsolete, delete.
* Thu Sep 17 2015 jdelvare@suse.de
- merge-pciids.pl: Don't warn about conflicting definitions by
  default (bsc#911528, bsc#944825.) Add option -v to print such
  warnings again.
- merge-pciids: Let options pass through to merge-pciids.pl.
* Wed Sep  2 2015 tiwai@suse.de
- update pci.ids to version 2015.09.01 (bsc#944104,bsc#944436)
* Tue Nov 18 2014 tchvatal@suse.com
- update pci.ids to version 2014.11.18 (fate#317715)
* Wed Aug  6 2014 ro@suse.de
- update pci.ids to version 2014.08.06 (bnc#885212)
* Mon Jun  2 2014 pgajdos@suse.de
- update pci.ids to version 2014.06.02 [bnc#880061]
* Fri May 23 2014 tiwai@suse.de
- update pci.ids to version 2014.05.22 for recent Intel chipsets
  (bnc#873570)
* Tue Nov 26 2013 jdelvare@suse.de
- merge-pciids.pl: Preserve all comments and blank lines. The
  original code considered blank lines as hard seperators and this
  resulted in some comments being lost or put in the wrong place.
- merge-pciids.pl: Better handling of input files. The original
  code was trying to be smart and generic but as a result it was
  unable to deal with slight pci.ids format variations, in
  particular the number of spaces before the device or class name.
  Intel network drivers do have such variations, which lspci itself
  handles just fine.
- merge-pciids.pl: Handle arbitrary case in vendor, device and
  class ID. Lspci supports upper-case so merge-pciids.pl should
  handle that properly.
* Tue Oct  8 2013 sweet_f_a@gmx.de
- update pci.ids to version 2013.10.06
* Tue Jul 30 2013 sweet_f_a@gmx.de
- update pci.ids to version 2013.07.26
* Wed Feb 13 2013 dlovasko@suse.com
- update pci.ids to version 2013.2.12
* Wed Aug 29 2012 ro@suse.de
- automated update on 2012-08-29
* Sat Jan 21 2012 autobuild@suse.de
- automated update on 2012-01-21
* Fri Mar 12 2010 mvyskocil@suse.cz
- update pci.ids (FATE#307134, bnc#560003)
* Tue Dec 15 2009 jengelh@medozas.de
- add empty %%build section as suggested by rpmlint/post-build-checks
* Thu Nov 13 2008 anicka@suse.cz
- update pci.ids (bnc#443863)
* Fri Oct 10 2008 anicka@suse.cz
- update pci.ids (bnc#427939)
* Wed Apr  9 2008 anicka@suse.cz
- update pci.ids
* Mon Feb 11 2008 rguenther@suse.de
- pre-require /usr/bin/perl, not perl, to make perl-base sufficient
* Tue Jan 15 2008 coolo@suse.de
- correctly prereq coreutils for the merge script
* Tue Jul  3 2007 anicka@suse.cz
- update pci.ids
* Fri May  4 2007 anicka@suse.cz
- update to fresh pci.ids
- remove testsuite (we have testsuite 346856 now)
* Tue Feb 13 2007 anicka@suse.cz
- remove tmp files created by merge-script [#244922]
* Mon Jan 29 2007 anicka@suse.cz
- switch to upstream supplied merge tool [bug 221276]
- rewrite testsuite (format of old testcases was wrong)
* Sat Jan 20 2007 garloff@suse.de
- Move pci.ids to pci.ids.d/pci.ids.dist and include merge tool
  [FATE 301145, bug 221276].
- Include test case, but leave disabled for now to avoid build dep
  on python.
- Update pci.ids.
* Mon Oct 23 2006 mjancar@suse.cz
- change to noarch
* Sun Oct 15 2006 schwab@suse.de
- Remove unused devel subpackage.
* Thu Oct 12 2006 mjancar@suse.cz
- branch from pciutils
* Mon May 22 2006 schwab@suse.de
- Don't strip binaries.
* Wed Mar 22 2006 kukuk@suse.de
- Remove pciids-suse patch (has to be fixed upstream)
* Wed Mar 22 2006 kukuk@suse.de
- Auto-Update pci.ids
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 mjancar@suse.cz
- update pci.ids (#144200)
* Fri Jan 13 2006 mjancar@suse.cz
- reintroduce "Class" printed in numeric output (#143042)
* Mon Dec 19 2005 mjancar@suse.cz
- update to 2.2.1
* Fri Aug 26 2005 mjancar@suse.cz
- add types.h to pciutils-devel (#113294)
* Wed Aug 24 2005 mjancar@suse.cz
- update to 2.1.99-test9 (#98896)
- update pci.ids (#104381)
* Mon Mar 14 2005 mjancar@suse.cz
- fix non-ascii characters in pci.ids (#72345)
* Sat Mar  5 2005 schwab@suse.de
- Fix syntax error in pci.ids.
* Tue Feb 22 2005 mjancar@suse.cz
- fix sysfs parsing (#63326)
- update pci.ids
* Fri Sep 17 2004 tcrhak@suse.cz
- updated pci.ids to the latest snapshot (fixes bug #45370)
* Thu May 27 2004 tcrhak@suse.cz
- changed "SGI IO9/IO10 Gigabit Ethernet (Copper)"
  to "SGI IO9/IO10 Gigabit Ethernet (Copper)" (bug #40175)
* Wed Apr 28 2004 tcrhak@suse.cz
- updated pci.ids
* Thu Mar  4 2004 tcrhak@suse.cz
- some pci.ids fixes:
  * changed SubDevice of Dell Inspiron 2100 internal modem (bug #32842)
  * added 1291 - Auxiliary Diva Serial Port (bug #31984)
  * added PCI IDs for InfiniBand HCAs (bug #34928)
* Tue Feb 24 2004 tcrhak@suse.cz
- added support for domains to device filter (lspci -s, setpci -s)
  (fixes bug #33382, patch sysfs-filter)
- updated pci.ids
* Sat Nov 29 2003 olh@suse.de
- use default owner for pciutils-devel files
* Wed Nov  5 2003 olh@suse.de
- remove pcimodules again, it doesnt do anything right
* Tue Oct 28 2003 olh@suse.de
- add patch for 2.6 /proc/bus/pci layout
  http://ftp.linux.org.uk/pub/linux/willy/patches/pciutils-sysfs.diff
* Wed Oct  8 2003 tcrhak@suse.cz
- added pcimodules [bug #31953]
* Mon Aug 25 2003 tcrhak@suse.cz
- updated pci.ids to the latest version from http://pciids.sourceforge.net
* Tue Feb 18 2003 tcrhak@suse.cz
- fixed NIC PCI IDs for Compaq [bug #22795],
  patch pciids.diff
- also included the diff for the latest pci.ids
  into the patch
* Wed Jan 15 2003 tcrhak@suse.cz
- fixed install paths
* Mon Jan  6 2003 tcrhak@suse.cz
- update to version 2.1.11
- updated pci.ids to the latest version from http://pciids.sourceforge.net
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Sep  6 2002 olh@suse.de
- update description of pcnet32 cards (#18892)
* Thu Aug 29 2002 tcrhak@suse.cz
- updated pci.ids to latest version from http://pciids.sourceforge.net
  this version contains entries needed by Hammer systems (bug #17549)
* Thu Aug  8 2002 olh@suse.de
- the acenic gigabit card can be either fibre or utp
  update pci.ids entry (#17502)
* Tue Jul 30 2002 tcrhak@suse.cz
- updated to version 2.1.10
- updated pci.ids to latest version from http://pciids.sourceforge.net
* Tue Mar 26 2002 tcrhak@suse.cz
- updated pci.ids to latest version from http://pciids.sourceforge.net
* Fri Jan 18 2002 tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Tue Jan  8 2002 schwab@suse.de
- Fix warnings.
* Mon Dec 17 2001 tcrhak@suse.cz
- updated pciutils to 2.1.9
- updated pci.ids to latest version from
  http://pciids.sourceforge.net/
* Wed Dec 12 2001 grimmer@suse.de
- updated pci.ids to latest version from
  http://pciids.sourceforge.net/
- added pci.ids.bz2 as a separate source file and removed
  pci.ids.add.dif (now included upstream)
* Mon Sep 24 2001 grimmer@suse.de
- added some missing PCI IDs for LSI Logic Fibre Channel
  controllers to pci.ids.add.diff
- corrected typos in pci.ids (Fiber Channel -> Fibre Channel)
- added LSI Logic Inc. to vendor ID 0x1000
* Wed Sep 19 2001 grimmer@suse.de
- added some missing PCI IDs for Compaq NICs to pci.ids.add.diff
  see [#8918] for the list
* Mon Sep 10 2001 grimmer@suse.de
- corrected some Intel NIC entries upon request from Intel
- merged pci.ids.riva.diff and the Intel changes in pci.ids.add.diff
* Mon Sep  3 2001 garloff@suse.de
- Riva TnT corrections from snbarth:
  * The name of Riva TnT 128 is Riva TnT.
  * NVidia/SGS Joint Venture (12d2) never built TNT or later.
* Wed Aug 29 2001 grimmer@suse.de
- merged pci.ids.244ac6.diff and pci.ids.add.diff into a single
  patch (again named pci.ids.add.diff) and added some more PCI IDs
  collected by Dave Jones <davej@suse.de> from various sources,
  including the current pciutils CVS tree.
- beautyfied the spec file a bit (added clean section and defattr
  in file list)
* Mon May 21 2001 poeml@suse.de
- add -devel subpackage
* Thu May 10 2001 garloff@suse.de
- Merge pci.ids from 2.4.4ac6
- bzip2 tarball
* Thu May  3 2001 garloff@suse.de
- Also don't die on failing to read data of a normal device,
  just complain loudly (and return 2 in the end)
- Updated pci.ids from linux-2.4.4 and added DFE-660.
* Wed Jan 17 2001 garloff@suse.de
- Don't die on failure to read ext. cardbus data. [#5817]
* Sun Dec 17 2000 garloff@suse.de
- Added pci.ids from linux-2.4.0-test12
- Added pci.ids floating around (lkml, RH)
- Added pci.ids for i820, ICH2/-M
* Mon Sep 18 2000 schwab@suse.de
- Add `-Wno-format' to avoid spurious compile errors.
* Thu Aug 17 2000 ro@suse.de
- cleanup srcdir
* Sun Jun 11 2000 olh@suse.de
- update to 2.1.8
* Mon Jan 24 2000 aj@suse.de
- update to 2.1.4, fix build problems with latest glibc, use patch
  for make file from Martin Mares.
* Thu Jan 20 2000 aj@suse.de
- update to 2.1.3, /usr/man -> /usr/share/man
* Tue Jan  4 2000 ro@suse.de
- update to 2.1.2
* Mon Oct 25 1999 ro@suse.de
- fixed to compile on axp
* Sat Oct 23 1999 ro@suse.de
- update to 2.1pre8 / using Buildroot
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 20 1999 ro@suse.de
- update to 2.0
* Wed Mar 31 1999 bs@suse.de
- don't use lx_hack for build
* Mon Feb 22 1999 ro@suse.de
- update to 1.10
* Wed Nov 25 1998 ro@suse.de
- created package, version 1.08
